Page MenuHomePhabricator

Exhibit native behavior on key+click on bridge link
Closed, ResolvedPublic3 Story Points

Description

As an power user I want to be able to skip the bridge in order to make the edits on Wikidata directly.

Problem:
We are overwriting the usual browser behavior for the bridge edit links so the bridge opens even with special keys ((ctrl, shift, ...)) + link click. We should not do this and obey the browser's setting. By default this would be open the Wikidata Item in a new tab or window.

BDD
GIVEN a Bridge-enabled edit link
WHEN shift-clicking or ctrl-clicking the edit link
THEN the Item opens in a new window or tab respectively

Acceptance criteria:

  • shift-clicking and ctrl-clicking on a bridge-enabled edit link opens the Item in a new tab/window (or other behaviour depending on the user's browser setting)
  • the Item that is opened is the one that contains the statements the edit link is for

Oriniginal report
Special keys (ctrl, shift, ...), when pressed during a link click, can customize the behavior (e.g. opening a link in a new browser tab) of the browser. This can be controlled on a user level.

We should probably not react to clicks on bridge links - in our custom fashion (i.e. bridge overlay) - if, at the time of the click, such notorious keys were pressed. Instead the native browser behavior (what ever that is) should take place.

@Lydia_Pintscher @Charlie_WMDE agree?

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2019, 4:23 PM
Pablo-WMDE renamed this task from Exhibit native behavior on key+click on bridge to Exhibit native behavior on key+click on bridge link.Sep 27 2019, 4:23 PM

Ohhhh yes. It annoys the heck out of me every time another website does this :D So ack from my side.

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 1 2019, 3:24 PM
Pablo-WMDE updated the task description. (Show Details)Oct 7 2019, 12:52 PM
Lydia_Pintscher moved this task from Needs work to Ready to estimate on the Wikidata-Bridge board.
Lydia_Pintscher triaged this task as Medium priority.Nov 4 2019, 10:02 PM
Lydia_Pintscher set the point value for this task to 3.Nov 5 2019, 11:46 AM
Michael claimed this task.Mon, Nov 18, 12:15 PM
Michael edited projects, added Wikidata-Bridge-Sprint-9; removed Wikidata-Bridge.
Restricted Application added a project: User-Michael. · View Herald TranscriptMon, Nov 18, 12:15 PM

Change 551523 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Exhibit native behavior on key+click on bridge link

https://gerrit.wikimedia.org/r/551523

Change 551523 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Exhibit native behavior on key+click on bridge link

https://gerrit.wikimedia.org/r/551523

Lydia_Pintscher closed this task as Resolved.Mon, Nov 18, 9:20 PM
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-9 board.

\o/